Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class NumericalIntervalManualDiscretization

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.Discretization
                  edu.udo.cs.miningmart.operator.ManualDiscretization
                      edu.udo.cs.miningmart.operator.NumericalIntervalManualDiscretization

public class NumericalIntervalManualDiscretization
extends ManualDiscretization

The class NumericalIntervalManualDiscretization implements method generateSQL creating virtual column definition for discretization of numerical intervals according to given discretization specification. NOTE: Physical database table is created, containing the specification. It does not correspond to any M4 ColumnSet object.

Version:
  $Id: NumericalIntervalManualDiscretization.java,v 1.5 2006/04/11 14:10:11 euler Exp $
Author:
  Cezary Chudzian

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ManualDiscretization
`INTERVAL_EXCLUSION, INTERVAL_INCLUSION`

Constructor Summary
`NumericalIntervalManualDiscretization()`

Method Summary
`java.lang.String` | `generateSQL(Column theTargetAttributeColumn)` Generates a sql-function to describe a new column.

Methods inherited from class edu.udo.cs.miningmart.operator.ManualDiscretization
`getCurrentLoopNumber, getDefaultValue, getDiscTableName, getEndIncExc, getGreater, getIntervalEnd, getIntervalStart, getMapTo, getSmaller, getStartIncExc, load`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericalIntervalManualDiscretization

    public NumericalIntervalManualDiscretization()

Method Detail

### generateSQL

    public java.lang.String generateSQL(Column theTargetAttributeColumn)
                                 throws M4CompilerError

  Generates a sql-function to describe a new column. This method generates a sql-function to describe a new column. Also creates a discretization table.

  Specified by:
    `generateSQL` in class `ManualDiscretization`
  Returns:
    the SQL-function call
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005